QUOTA(8)

NAME
quota - Cyrus IMAP documentation

Report and optionally fix storage and message quota usage.

SYNOPSIS

quota [ -C config-file ] [ -d domain ] [ -f ] [ -u ] [ mailbox-spec... ]

DESCRIPTION

quota generates a report listing quota roots, giving their limits and usage.

If the -f option is specified, quota first fixes any inconsistencies in the quota subsystem, such as mailboxes with the wrong quota root or quota roots with the wrong quota usage reported.

If an optional domain is specified with the -d option, the quota listing (and any inconsistency fixing) is performed only in that domain rather than all mailboxes.

If one or more mailbox-spec arguments are specified, these are interpreted as mailbox prefixes, and the quota listing (and inconsistency fixing) is limited to quota roots with names that start with one of the given prefixes. If the -u is provided, mailbox-spec arguments are instead interpreted as userids, and the quota listing (and inconsistency fixing) is limited to quota roots for only the specified users.

WARNING: Running quota with both the -f option and mailbox-spec arguments is not recommended.

quota reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C.

OPTIONS

-C config-file
    Use the specified configuration file config-file rather than the default imapd.conf(5).

-d domain
    List and/or fix quota only in domain.

-f  Fix any inconsistencies in the quota subsystem before generating a report.

-n  Check for any inconsistencies in the quota subsystem but don’t actually fix them. Use with -f and -q to only see what’s incorrect.

-q  Operate quietly. If -f is specified, then don’t print the quota values, only print messages when things are changed.

-J  Output the quota values as JSON for automated tooling support

-u  Interpret mailbox-spec arguments as userids. The default is to interpret them as mailbox prefixes

mailbox-spec
    Only report and/or fix quota in mailboxes matching the specified mailbox-spec arguments. See also -u.

EXAMPLES

quota
List quotas for all users and mailboxes.

FILES

/etc/imapd.conf

SEE ALSO

imapd.conf(5)

AUTHOR
The Cyrus Team, Jeroen van Meeuwen (Kolab Systems), Nic Bernstein (Onlight)

COPYRIGHT
1993-2018, The Cyrus Team